package com.aliyun.alink.linksdk.alcs.lpbs.bridge;


import com.aliyun.alink.linksdk.alcs.lpbs.data.PalDeviceInfo;
import com.aliyun.alink.linksdk.alcs.lpbs.data.PalInitData;

/**
 * 协议桥接的对下适配接口
 * 每个协议需要实现这个接口来接入到桥接模块
 *
 * PAL protocal abstract layer
 *
 * @author jinhaifeng on 2018/8/6.
 */
public interface IPalBridge{

    /**
     * 初始化bridge
     *
     * @param initData 初始化结构
     */
    void initBridge(PalInitData initData);

    /**
     * 反初始化
     *
     */
    void deInitBridge();

    IPalDiscovery getPalDiscovery();

    IPalConnect getPalConnect(PalDeviceInfo deviceInfo);

    IPalAuthRegister getPalAuthRegister();

//    IDataDownListener getDataDownListener();
}
