package com.aliyun.alink.linksdk.alcs.lpbs.bridge;

import com.aliyun.alink.linksdk.alcs.lpbs.listener.PalDiscoveryListener;

/**
 * 设备发现接口
 *
 */
public interface IPalDiscovery {

    /** 发现结束的TYPE类型定义*/
    public static final int DISCOVERY_TYPE_FINISH  = 0;
    /** 发现设备的TYPE类型定义*/
    public static final int DISCOVERY_TYPE_FOUND   = 1;


    /**
     * 开始设备发现
     *
     * @param timeOut   发现的超时时长
     * @param listener  发现的回调接口
     * @return          true表示发现正常开始，fasle表示异常
     */
    boolean startDiscovery(int timeOut, PalDiscoveryListener listener);

    /**
     * 停止设备发现
     *
     * @return          true表示发现正常结束，fasle表示异常
     */
    boolean stopDiscovery();
}
